Extending Qt Creator Manual | ASTObjectValue

Extending Qt Creator Manual 4.3.0

# ASTObjectValue Class

(QmlJS::ASTObjectValue)

Inherits: | QmlJS::ObjectValue

- List of all members, including inherited members

## Public Functions

| ASTObjectValue(AST::UiQualifiedId *typeName, AST::UiObjectInitializer *initializer, const Document *doc, ValueOwner *valueOwner)
| ~ASTObjectValue()
QString | defaultPropertyName() const
const Document * | document() const
AST::UiObjectInitializer * | initializer() const
AST::UiQualifiedId * | typeName() const

- 14 public functions inherited from QmlJS::ObjectValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### ASTObjectValue::ASTObjectValue(AST::UiQualifiedId *typeName, AST::UiObjectInitializer *initializer, const Document *doc, ValueOwner *valueOwner)

Default constructs an instance of ASTObjectValue.

### ASTObjectValue::~ASTObjectValue()

Destroys the instance of ASTObjectValue.

### QString ASTObjectValue::defaultPropertyName() const

### const Document *ASTObjectValue::document() const

### AST::UiObjectInitializer *ASTObjectValue::initializer() const

### AST::UiQualifiedId *ASTObjectValue::typeName() const